Accounts
List accounts
List all active accounts belonging to your organization, including their attached funding methods. Results are ordered by creation date, newest first.
GET
/
v1
/
accounts
cURL
curl --request GET \
--url https://api.nxos.io/v1/accounts \
--header 'Authorization: <authorization>'import requests
url = "https://api.nxos.io/v1/accounts"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.nxos.io/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"object": "account",
"accountId": "acct_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
"name": "Main",
"description": null,
"isPrimary": true,
"status": "ACTIVE",
"fundingMethods": [],
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
}
],
"hasMore": true,
"nextCursor": "<string>"
}{
"error": {
"code": "missing_api_key",
"message": "No Authorization header provided.",
"requestId": "req_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"requestId": "req_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4"
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded: 1000 requests per minute. Retry in 23 seconds.",
"requestId": "req_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected server error occurred.",
"requestId": "req_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4"
}
}Headers
Bearer token. Format: Bearer <api_key>
Query Parameters
Maximum number of items to return. Defaults to 25, max 100.
Cursor for the next page of results, returned in previous responses.
Response
The request has succeeded.
Paginated list envelope. All list endpoints return this shape.
Object type. Always list for paginated responses.
Available options:
list Array of results.
Show child attributes
Show child attributes
Whether more results are available beyond this page.
Cursor to pass as cursor query parameter for the next page. Null when there are no more results.
⌘I
cURL
